SPELL(1)

NAME
spell - find spelling errors

SYNOPSIS
spell [ option ] [ file ]

DESCRIPTION
Spell looks up words from the named files (standard input default) in a public spelling list and in a private list. Possible misspellings (words that occur in neither and are not plausibly derivable from the former) are placed on the standard output.

Spell ignores constructs of troff(1) and its standard preprocessors, or constructs of tex(1). It understands these options:

-b  Check British spelling.

-v  Print all words not literally in the spelling list, with derivations.

-x  Print on standard error, marked with every stem as it is looked up in the spelling list, along with its affix classes. Typically used for maintenance.

-c

-C  Input is one word per line. Output is a single byte per word, delivered immediately: if the word is rejected, if the word is accepted under -c, and a digit if the word is accepted under -C. Digit zero indicates a word known directly; larger numbers indicate words derived by increasingly elaborate paths. Typically used by other programs piping queries to spell.

The private list, by default is arranged one word per line.

Pertinent files may be specified by environment variables, listed below with their default settings. To help in gathering local vocabularies, copies of all output are accumulated in the history file, if it exists and is writable.

As a matter of policy, spell does not admit multiple spellings of the same word. Variants that follow general rules are preferred over over those that don't, even when the unruly spelling is more common. Thus, in American usage, `modeled', `sizable', and `judgement' are preferred to `modelled', `sizeable', and `judgment'. Agglutinated variants are shunned: `crew member' and `back yard' (noun) or `back-yard' (adjective) are preferred to `crewmember' and `backyard'.

FILES

spelling list, compressed
    (D_SPELL)

British spelling list

history file
    (H_SPELL)

private list
    (A_SPELL)

the main routine
    (P_SPELL)

deroff (or delatex)
    (or for removing punctuation and troff(1) constructs (DEROFF)

SEE ALSO
dict(7), deroff(1), wwb(1)

BUGS
Words in a private list are recognized only by exact match, including capitalization and affixing.
The heuristics of deroff(1) and delatex, used to excise formatting information, are imperfect.
The spelling list's coverage is uneven; in particular biology, medicine, and chemistry, and perforce proper names, are covered very lightly.
British spelling was done by an American.